<script>
	import { mergeClasses } from '$lib/classes';
	import { page } from '$app/stores';

	export let href;

	let active = false;

	page.subscribe((page) => {
		active = page.path === href;
	});

	$: classes = mergeClasses(
		active ? 'bg-gray-100 text-gray-900' : 'text-gray-600 hover:bg-gray-50 hover:text-gray-900',
		'group sidebar-link'
	);
</script>

<a {href} class={classes}>
	<slot name="icon" />
	<slot />
</a>

<style lang="postcss">
	.sidebar-link {
		@apply flex items-center px-2 py-2 text-base font-medium rounded-md;
	}

	.sidebar-link > :global(svg) {
		@apply text-gray-300 mr-4 flex-shrink-0 h-6 w-6;
	}
</style>
